DRM_CRTC_HANDLE_VBLA(9)

NAME
drm_crtc_handle_vblank - handle a vblank event

SYNOPSIS

bool drm_crtc_handle_vblank(struct drm_crtc * crtc);

ARGUMENTS

crtc
    where this event occurred

DESCRIPTION

Drivers should call this routine in their vblank interrupt handlers to update the vblank counter and send any signals that may be pending.

This is the native KMS version of drm_handle_vblank.

RETURNS

True if the event was successfully handled, false on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT